• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Archive/{archiveProviderName}

Some tooltip text!
• 2 minutes to read
 • 2 minutes to read
POST /api/v1/Archive/{archiveProviderName}

Returns archive providers in OData format, accepting parameters as a form-encoded request body.

Use this instead of GET when the query string would exceed URL length limits (e.g. many columns or filters).

Path Part Type Description
archiveProviderName string Archive Provider name: FindContact, Person, Product, etc. Required

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Response:

OK

Response Description
200 OK

Response body: ODataSlimResponse

Property Name Type Description
odata.metadata string
odata.nextLink string
value array

Sample request

[!include[sample request](../../samples/rest/request/v1Archive_PostArchive.md)]

Sample response

[!include[sample response](../../samples/rest/response/v1Archive_PostArchive.md)]
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top